Bug 241891 - archivers/urbackup-client: fix build on GCC architectures
Summary: archivers/urbackup-client: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-11 20:04 UTC by Piotr Kubaj
Modified: 2019-11-13 14:38 UTC (History)
1 user (show)

See Also:
freebsd: maintainer-feedback+


Attachments
patch (1.27 KB, patch)
2019-11-11 20:04 UTC, Piotr Kubaj
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-11-11 20:04:16 UTC
Created attachment 209068 [details]
patch

Adding -L/usr/lib breaks compilation with GCC from ports because it attempts to link to base libstdc++.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-11-12 12:31:47 UTC
Approved as mentor (builds on ppcports) pending maintainer review.
Comment 2 freebsd 2019-11-13 02:43:02 UTC
Comment on attachment 209068 [details]
patch

Approved.
Comment 3 commit-hook freebsd_committer 2019-11-13 14:38:52 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Nov 13 14:38:10 UTC 2019
New revision: 517377
URL: https://svnweb.freebsd.org/changeset/ports/517377

Log:
  archivers/urbackup-client: fix build on GCC architectures

  Adding -L/usr/lib breaks compilation with GCC from ports because it attempts to link to base libstdc++.

  PR:		241891
  Approved by: 	freebsd@coombscloud.com	(maintainer), linimon (mentor)

Changes:
  head/archivers/urbackup-client/files/patch-m4_ax__check__openssl.m4